- name: Add both port when default port is commented
  blockinfile:
    path: /etc/ssh/sshd_config
    marker: "# {mark} SFTP-Server-port block"
    block: |
      Port 22
      Port {{sftp_port}}
    insertafter: "#Port 22"
    backup: yes

- name: Make sftp only listen to second local port
  blockinfile:
    path: /etc/ssh/sshd_config
    block: |
      Match LocalPort {{sftp_port}}
         AllowTCPForwarding no
         X11Forwarding no
         ForceCommand internal-sftp
    insertafter: "# END SFTP-Server sftpusers block"
    marker: "# {mark} SFTP-Server-sftp-port block"
    backup: yes

- name: restart tomcat8 if running
  service: name=sshd state=restarted
